## lrzip 0.45

=== man/Makefile ===
#!/usr/bin/make -f
#
#   Copyright information
#
#	Copyright (C) 2010 Jari Aalto
#
#   License
#
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program. If not, see <http://www.gnu.org/licenses/>.

PODCENTER = Lrzip

all: lrunzip.1 lrztar.1

lrunzip.1: lrunzip.1.pod
	podchecker $<
	$(MAKE) -f pod2man.mk PACKAGE=lrunzip PODCENTER=$(PODCENTER) makeman

lrztar.1: lrztar.1.pod
	podchecker $<
	$(MAKE) -f pod2man.mk PACKAGE=lrztar PODCENTER=$(PODCENTER) makeman

# End of file

## lrzip 0.44

=== debian/changelog ===
lrzip (0.44-1) unstable; urgency=low

  * Initial release (Closes: #455457).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 09 Jan 2010 19:31:52 +0200

=== debian/control ===
Source: lrzip
Section: utils
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, libbz2-dev, liblzo2-dev
Standards-Version: 3.8.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/lrzip.git
Vcs-Git: git://git.debian.org/git/collab-maint/lrzip.git
Homepage: http://freshmeat.net/projects/lrzip

Package: lrzip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bash (>= 3)
Description: compression program with a very high compression ratio
 A compression program that can achieve very high compression
 ratios and speed when used with large files. It uses the combined
 compression algorithms of zpaq and lzma for maximum compression, lzo
 for maximum speed, and the long range redundancy reduction of rzip.
 It is designed to scale with increases with RAM size, improving
 compression further. A choice of either size or speed optimizations
 allows for either better compression than even lzma can provide, or
 better speed than gzip, but with bzip2 sized compression levels.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = lrzip
PKGDIR	= $(CURDIR)/debian/$(PACKAGE)
DOCDIR	= $(PKGDIR)/usr/share/doc/lrzip

#export DH_VERBOSE=1

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=lrunzip makeman
	$(MAKE) -C debian -f pod2man.mk PACKAGE=lrztar makeman

install: build man
	# target: install
	dh_testdir
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=$(PKGDIR) \
		INSTALL_DOC=/usr/share/doc/lrzip \
		INSTALL_DOC_LZMA=/usr/share/doc/lrzip/lzma \
		install

	# Remove extra files
	rm $(DOCDIR)/COPYING
	rm $(DOCDIR)/README.Assembler

binary-arch: install
	# target: binary-arch --  Build architecture-dependent files
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch

%:
	dh $@

.PHONY: install man
.PHONY: binary-arch binary

# End of file

## lrzip 0.45

=== debian/changelog ===
lrzip (0.45-1) unstable; urgency=low

  * New upstream release.
  * debian/*.pod
    - Delete files. Accepted by upstream.
  * debian/copyright
    - (X-Upstream-Vc-Git): New field.
  * debian/patches
    - (Number 00, 01, 20): Delete files. Accepted by upstream
      (Closes: #573204, #573203, #573200, #573198, #573197).
  * debian/rules
    - (man): Delete target. Upstream accepted all manual pages.
    - (override_dh_auto_install): New; convert from 'install'.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 30 Mar 2010 16:26:08 +0300

lrzip (0.44-2) unstable; urgency=medium

  * debian/debian-autotools.mk
    - New helper macros.
  * debian/control
    - (Build-Depends): update to 7.1.
    - (Standards-Version): update to 3.8.4.
  * debian/license.sh
    - Update find options.
  * debian/pod2man.mk
    - Add PODDATE
  * debian/repack.sh
    - Adjust comments.
  * debian/rules
    - (override_dh_auto_configure): New rule. Use new config.{sub,guess}
      files at configure time. (FTBFS AVR32; Closes: #566652).
    - (override_dh_auto_clean): Preserve original files.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 09 Mar 2010 22:12:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, libbz2-dev, liblzo2-dev
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.1), autotools-dev, zlib1g-dev, libbz2-dev, liblzo2-dev
+Standards-Version: 3.8.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lrzip.git
 Vcs-Git: git://git.debian.org/git/collab-maint/lrzip.git
 Homepage: http://freshmeat.net/projects/lrzip

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = lrzip
PKGDIR	= $(CURDIR)/debian/$(PACKAGE)
DOCDIR	= $(PKGDIR)/usr/share/doc/lrzip

include debian/debian-autotools.mk
include debian/debian-save-restore.mk

# In original sources
FILE_LIST_PRESERVE = lzma/C/Types.h~

override_dh_auto_clean:
	$(file-state-save)
	dh_auto_clean

override_dh_auto_configure:
	$(config-prepare)
	dh_auto_configure
	$(file-state-restore-copy)

override_dh_auto_install:
	$(MAKE) DESTDIR=$(PKGDIR) \
		INSTALL_DOC=/usr/share/doc/lrzip \
		INSTALL_DOC_LZMA=/usr/share/doc/lrzip/lzma \
		install
	# Remove extra files
	rm $(DOCDIR)/COPYING
	rm $(DOCDIR)/README.Assembler

binary-arch: install
	# target: binary-arch --  Build architecture-dependent files
	$(config-restore)
	$(file-state-restore)
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch

%:
	dh $@

.PHONY: binary-arch binary

# End of file

## lrzip 0.530

=== debian/changelog ===
lrzip (0.530-1) unstable; urgency=low

  * New upstream release.
  * debian/*.mk
    - Remove. File no longer needed or accepted upstream.
  * debian/patches
    - Remove. Included in upstream sources.
  * debian/rules
    - Clean up targets due to removed *.mk files.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 13 Nov 2010 18:28:36 +0200

lrzip (0.47-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - (override_dh_auto_build): New.
  * debian/patches
    - (10): Refresh. Define NO_ASSEMBLER.
    - (20): Remove. Accepted upstream.
  * (NOT UPLOADED TO THE DEBIAN ARCHIVE)

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 27 Oct 2010 19:35:52 +0300

lrzip (0.46-1) unstable; urgency=low

  * New upstream release.
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8.
    - (Standards-Version): 3.9.1.
  * debian/copyright
    - Cosmetic changes.
  * debian/patches
    - (20): New. Rewrite symlink handling in Makefile.in::install target.
  * debian/rules
    - Remove extra targets that can be handled by dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 26 Oct 2010 18:55:29 +0300

## lrzip 0.551

=== man/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #
 #   Copyright information
 #
+#	Copyright (C) 2010 Con Kolivas
 #	Copyright (C) 2010 Jari Aalto
 #
 #   License
@@ -21,7 +22,7 @@
 
 PODCENTER = Lrzip
 
-all: lrunzip.1 lrztar.1
+all: lrunzip.1 lrztar.1 lrzuntar.1
 
 lrunzip.1: lrunzip.1.pod
 	podchecker $<
@@ -31,4 +32,8 @@
 	podchecker $<
 	$(MAKE) -f pod2man.mk PACKAGE=lrztar PODCENTER=$(PODCENTER) makeman
 
+lrzuntar.1: lrzuntar.1.pod
+	podchecker $<
+	$(MAKE) -f pod2man.mk PACKAGE=lrzuntar PODCENTER=$(PODCENTER) makeman
+
 # End of file

=== debian/changelog ===
lrzip (0.551-1) unstable; urgency=low

  * New upstream release (Closes: #607063).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 14 Dec 2010 17:43:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1), autotools-dev, zlib1g-dev, libbz2-dev, liblzo2-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), autotools-dev, zlib1g-dev, libbz2-dev, liblzo2-dev
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lrzip.git
 Vcs-Git: git://git.debian.org/git/collab-maint/lrzip.git
 Homepage: http://freshmeat.net/projects/lrzip

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = lrzip
PKGDIR	= $(CURDIR)/debian/$(PACKAGE)
DOCDIR	= $(PKGDIR)/usr/share/doc/lrzip

override_dh_auto_build:
	$(MAKE) NO_ASSEMBLER=1

override_dh_auto_install:
	$(MAKE) DESTDIR=$(PKGDIR) \
		INSTALL_DOC=/usr/share/doc/lrzip \
		INSTALL_DOC_LZMA=/usr/share/doc/lrzip/lzma \
		install
	# Remove extra files
	rm $(DOCDIR)/COPYING
	rm $(DOCDIR)/README.Assembler

%:
	dh $@

# End of file

## lrzip 0.603+2011.0423+git7ed977b

=== debian/changelog ===
lrzip (0.603+2011.0423+git7ed977b-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix failure to compress big files (Closes: #623745).
  * debian/control
    - (Build-Depends): Add automake, autoconf, libtool.
  * debian/rules
    - (override_dh_auto_configure): New. For snapshot packaging.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 26 Apr 2011 10:30:59 +0300

lrzip (0.602-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Standards-Version): 3.9.2.
  * debian/copyright
    - Update to official DEP5.
    - Clarify LZMA licence.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Apr 2011 19:54:41 +0300

lrzip (0.552+20110217+gitcd8b086-1) unstable; urgency=low

  * Snapshot from upstream version control repository.
    - Fix FTBFS on kFreeBSD (Closes: #607978).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 17 Feb 2011 15:19:46 +0200

lrzip (0.552-1) unstable; urgency=low

  * New upstream release
    - Fix data loss with large files (Closes: #611980).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 17 Feb 2011 15:18:28 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,15 @@
 PACKAGE = lrzip
 PKGDIR	= $(CURDIR)/debian/$(PACKAGE)
 DOCDIR	= $(PKGDIR)/usr/share/doc/lrzip
+
+override_dh_auto_configure:
+	# With pristine tarballa from version control, there is no ./configure
+	if [ -f configure ]; then \
+	    :  ; \
+	else \
+	    autoreconf -vfi ; \
+	fi
+	dh_auto_configure
 
 override_dh_auto_build:
 	$(MAKE) NO_ASSEMBLER=1

## lrzip 0.608

=== debian/changelog ===
lrzip (0.608-2) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
  * debian/copyright
    - (Source, X-Upstream-Vcs-Git): Update location.
    - (debian/*): Update year.
  * debian/rules
    - Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 08 Feb 2012 17:25:07 -0500

lrzip (0.608-1) unstable; urgency=low

  * New upstream release.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 24 Oct 2011 17:22:16 +0300

lrzip (0.607+20110921+gita28def8-1) unstable; urgency=low

  * New upstream release
    - On hurd-i386 missing mremap (FTBFS; Closes: #642271).
  * debian/patches
    - (bash completion.d): Delete; accepted upstream.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 21 Sep 2011 10:01:26 +0300

lrzip (0.607+20110917+git79c2e9a-2) unstable; urgency=low

  * debian/rules:
   - (override_dh_auto_install): do not install bash completion; already
     in package bash-completion (Closes: #642062).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 19 Sep 2011 12:39:37 +0300

lrzip (0.607+20110917+git79c2e9a-1) unstable; urgency=low

  [Jari Aalto]
  * New upstream release.
    - Packaged from upstream VCS due to fixed in the build system.
  * debian/copyright
    - (Format): update URL.
    - (debian/*): Add license.
  * debian/rules
    - (override_dh_auto_configure): Simplify if-test.
    - (override_dh_auto_install): remove ChangeLog as this is already
      handled by dh_installchangelogs; would cause duplicate (lintian).

  [tony mancill]
  * add completion.d.patch

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 18 Sep 2011 10:22:48 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8), autotools-dev, zlib1g-dev, libbz2-dev, liblzo2-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), autotools-dev, automake, autoconf, libtool, zlib1g-dev, libbz2-dev, liblzo2-dev
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lrzip.git
 Vcs-Git: git://git.debian.org/git/collab-maint/lrzip.git
 Homepage: http://freshmeat.net/projects/lrzip

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = lrzip
PKGDIR	= $(CURDIR)/debian/$(PACKAGE)
DOCDIR	= $(PKGDIR)/usr/share/doc/lrzip

include /usr/share/dpkg/buildflags.mk
CFLAGS	+= -Wall -pedantic
LDFLAGS += -Wl,--as-needed

override_dh_auto_configure:
	# With pristine tarballs from version control, there is no ./configure
	[ -f configure ] || autoreconf -vfi
	dh_auto_configure -- LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)"

override_dh_auto_build:
	$(MAKE) NO_ASSEMBLER=1

override_dh_auto_install:
	$(MAKE) DESTDIR=$(PKGDIR) \
		INSTALL_DOC=/usr/share/doc/lrzip \
		INSTALL_DOC_LZMA=/usr/share/doc/lrzip/lzma \
		install
	# Remove extra files
	rm -f $(DOCDIR)/COPYING \
	      $(DOCDIR)/README.Assembler \
	      $(DOCDIR)/ChangeLog
	# already in package bashc-completion
	rm -rf $(PKGDIR)/etc

%:
	dh $@

# End of file

## lrzip 0.616

=== debian/changelog ===
lrzip (0.616-1) unstable; urgency=low

  * New upstream release, fixes manpage typos (closes: #655295).
  * Use dh-autoreconf to update config.{sub,guess} (closes: #727925).
  * Update Standards-Version to 3.9.5 .
  * New maintainer (closes: #742878).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 28 Mar 2014 18:38:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: lrzip
 Section: utils
 Priority: optional
-Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), autotools-dev, automake, autoconf, libtool, zlib1g-dev, libbz2-dev, liblzo2-dev
-Standards-Version: 3.9.2
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), dh-autoreconf, autotools-dev, automake, autoconf, libtool, zlib1g-dev, libbz2-dev, liblzo2-dev
+Standards-Version: 3.9.5
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lrzip.git
 Vcs-Git: git://git.debian.org/git/collab-maint/lrzip.git
-Homepage: http://freshmeat.net/projects/lrzip
+Homepage: http://lrzip.kolivas.org/
 
 Package: lrzip
 Architecture: any

## lrzip 0.621

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), dh-autoreconf, autotools-dev, automake, autoconf, libtool, zlib1g-dev, libbz2-dev, liblzo2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lrzip.git
 Vcs-Git: git://git.debian.org/git/collab-maint/lrzip.git
 Homepage: http://lrzip.kolivas.org/

## lrzip 0.630

=== debian/changelog ===
lrzip (0.630-1) unstable; urgency=low

  * New upstream release.
  * (De)compressing to/from stdin/stdout works again (closes: #742698).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Aug 2016 06:13:08 +0000

lrzip (0.621-1) unstable; urgency=low

  * New upstream release.
  * Fixes memory handling with fuzzed archives (closes: #774040).
  * Update copyright .
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Apr 2015 17:22:00 +0000

## lrzip 0.631

=== debian/changelog ===
lrzip (0.631-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Apr 2017 16:58:26 -0700

lrzip (0.631-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 14 Nov 2016 00:20:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,21 @@
 Source: lrzip
 Section: utils
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), dh-autoreconf, autotools-dev, automake, autoconf, libtool, zlib1g-dev, libbz2-dev, liblzo2-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://git.debian.org/?p=collab-maint/lrzip.git
-Vcs-Git: git://git.debian.org/git/collab-maint/lrzip.git
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
+ dh-autoreconf,
+ autotools-dev,
+ automake,
+ autoconf,
+ libtool,
+ zlib1g-dev,
+ libbz2-dev,
+ liblzo2-dev
+Standards-Version: 3.9.8
+#Vcs-Browser: http://git.debian.org/?p=collab-maint/lrzip.git
+#Vcs-Git: git://git.debian.org/git/collab-maint/lrzip.git
 Homepage: http://lrzip.kolivas.org/
 
 Package: lrzip

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 PACKAGE = lrzip
 PKGDIR	= $(CURDIR)/debian/$(PACKAGE)
@@ -21,6 +25,8 @@
 		INSTALL_DOC=/usr/share/doc/lrzip \
 		INSTALL_DOC_LZMA=/usr/share/doc/lrzip/lzma \
 		install
+	# empty dependency libs
+	sed -i "/dependency_libs/ s/'.*'/''/" `find $(PKGDIR) -name '*.la'`
 	# Remove extra files
 	rm -f $(DOCDIR)/COPYING \
 	      $(DOCDIR)/README.Assembler \
@@ -29,6 +35,8 @@
 	rm -rf $(PKGDIR)/etc
 
 %:
-	dh $@
+	dh $@ --with autoreconf --parallel
 
+.PHONY: override_dh_auto_configure override_dh_auto_build \
+	override_dh_auto_install
 # End of file

## lrzip 0.631+git180517

=== debian/changelog ===
lrzip (0.631+git180517-1) unstable; urgency=high

  * Git snapshot release to fix security issues:
    - CVE-2017-8842: divide-by-zero in bufRead::get() (closes: #863156),
    - CVE-2017-8843: NULL pointer dereference in join_pthread()
      (closes: #863155),
    - CVE-2017-8844: heap-based buffer overflow write in read_1g()
      (closes: #863153),
    - CVE-2017-8845: invalid memory read in lzo_decompress_buf()
      (closes: #863151),
    - CVE-2017-8846: use-after-free in read_stream() (closes: #863150),
    - CVE-2017-8847: NULL pointer dereference in bufRead::get()
      (closes: #863145),
    - CVE-2017-9928: stack buffer overflow in get_fileinfo() (closes: #866022),
    - CVE-2017-9929: another stack buffer overflow in get_fileinfo()
      (closes: #866020),
    - CVE-2018-5650: infinite loop from crafted/corrupt archive in
      unzip_match() (closes: #887065),
    - CVE-2018-5747: use-after-free in ucompthread() (closes: #898451),
    - CVE-2018-5786: infinite loop in get_fileinfo() (closes: #888506),
    - CVE-2018-9058: infinite loop in runzip_fd() ,
    - CVE-2018-10685: use-after-free in lzma_decompress_buf()
      (closes: #897645).
  * Update homepage location.
  * Update debhelper level to 11:
    - don't need dh_installman anymore,
    - remove dh-autoreconf build dependency,
    - remove autotools-dev build dependency.
  * Update Standards-Version to 4.1.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 17 May 2018 15:42:06 +0000

=== debian/watch ===
version=3
http://ck.kolivas.org/apps/lrzip/ lrzip-(\d.+)\.tar\.bz2 debian debian/repack.sh

## lrzip 0.631+git180528

=== debian/changelog ===
lrzip (0.631+git180528-1+deb10u1build0.20.04.1) focal-security; urgency=medium

  * fake sync from Debian

 -- Amir Naseredini <amir.naseredini@canonical.com>  Thu, 26 Jan 2023 10:51:50 +0000

lrzip (0.631+git180528-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Security updates:
    Two issues that allow remote attackers to cause a denial of service via a
    crafted lrz file:
    - CVE-2018-5786: Resolve a potential infinite loop and application hang in the
      get_fileinfo function.
    - CVE-2021-27345: Resolve a null pointer dereference.
    * CVE-2021-27347: Resolve a use after free.
    - CVE-2020-25467: Resolve a null pointer dereference.
    - CVE-2022-26291: Resolve a multiple concurrency use-after-free.
    A memory corruption issue:
    - CVE-2022-28044: Resolve a potential heap corruption.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 12 May 2022 20:53:05 -0400

lrzip (0.631+git180528-1) unstable; urgency=high

  * Git snapshot release to fix security issue:
    - CVE-2018-11496: heap use after free in read_stream() .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 May 2018 14:39:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,12 @@
 Source: lrzip
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
- dh-autoreconf,
- autotools-dev,
- automake,
- autoconf,
- libtool,
- zlib1g-dev,
- libbz2-dev,
- liblzo2-dev
-Standards-Version: 3.9.8
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 11), automake, autoconf, libtool, zlib1g-dev, libbz2-dev, liblzo2-dev
+Standards-Version: 4.1.4
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/lrzip.git
 #Vcs-Git: git://git.debian.org/git/collab-maint/lrzip.git
-Homepage: http://lrzip.kolivas.org/
+Homepage: http://ck.kolivas.org/apps/lrzip/README.md
 
 Package: lrzip
 Architecture: any

## lrzip 0.631+git200516

=== debian/changelog ===
lrzip (0.631+git200516-1) unstable; urgency=medium

  * Git snapshot release.
  * Update watch file.
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 May 2020 07:59:26 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), automake, autoconf, libtool, zlib1g-dev, libbz2-dev, liblzo2-dev
-Standards-Version: 4.1.4
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/lrzip.git
-#Vcs-Git: git://git.debian.org/git/collab-maint/lrzip.git
+Build-Depends: debhelper-compat (= 12), automake, autoconf, libtool, zlib1g-dev, libbz2-dev, liblzo2-dev
+Standards-Version: 4.5.0
 Homepage: http://ck.kolivas.org/apps/lrzip/README.md
 
 Package: lrzip

=== debian/watch ===
version=4
http://ck.kolivas.org/apps/lrzip/ lrzip-(?:[_\-]v?|)(\d\.\d+\.[1-9]+|\d\.\d+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz) debian debian/repack.sh

## lrzip 0.640

=== debian/changelog ===
lrzip (0.640-1) unstable; urgency=medium

  * New upstream release:
    - fix extracting when output used as a pipe (closes: #854101).
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 19 Feb 2021 17:38:21 +0100

## lrzip 0.641

=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,12 @@
 	# already in package bashc-completion
 	rm -rf $(PKGDIR)/etc
 
+override_dh_dwz:
+	@echo dh_dwz NOP due to being buggy
+
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@ --with autoreconf
 
 .PHONY: override_dh_auto_configure override_dh_auto_build \
-	override_dh_auto_install
+	override_dh_auto_install override_dh_dwz
 # End of file

=== debian/watch ===
version=4
http://ck.kolivas.org/apps/lrzip/ lrzip-(?:[_\-]v?|)(\d\S+)@ARCHIVE_EXT@ debian debian/repack.sh

## lrzip 0.651

=== debian/changelog ===
lrzip (0.651-2) unstable; urgency=high

  * Fix CVE-2018-5786: infinite loop in get_fileinfo() (closes: #888506).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 12 Apr 2022 18:37:01 +0200

lrzip (0.651-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 09 Mar 2022 18:09:41 +0100

lrzip (0.650-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 03 Mar 2022 22:40:03 +0100

lrzip (0.641-1) unstable; urgency=medium

  * New upstream release:
    - fix low compression ratio with large files (closes: #986396).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 09 Apr 2021 17:50:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12), automake, autoconf, libtool, zlib1g-dev, libbz2-dev, liblzo2-dev
+Build-Depends: debhelper-compat (= 12), automake, autoconf, libtool,
+ zlib1g-dev, libbz2-dev, liblzo2-dev, liblz4-dev
 Standards-Version: 4.5.0
 Homepage: http://ck.kolivas.org/apps/lrzip/README.md

=== debian/rules ===
--- 
+++ 
@@ -25,13 +25,9 @@
 		INSTALL_DOC=/usr/share/doc/lrzip \
 		INSTALL_DOC_LZMA=/usr/share/doc/lrzip/lzma \
 		install
-	# empty dependency libs
-	sed -i "/dependency_libs/ s/'.*'/''/" `find $(PKGDIR) -name '*.la'`
-	# Remove extra files
-	rm -f $(DOCDIR)/COPYING \
-	      $(DOCDIR)/README.Assembler \
-	      $(DOCDIR)/ChangeLog
-	# already in package bashc-completion
+	# Remove extra file
+	rm -f $(DOCDIR)/README.Assembler
+	# already in package bash-completion
 	rm -rf $(PKGDIR)/etc
 
 override_dh_dwz:

## lrzip 0.660

=== debian/changelog ===
lrzip (0.660-1) unstable; urgency=high

  * New upstream release:
    - fixes CVE-2025-15570: use after free in lzma_decompress_buf()
      (closes: #1128069),
    - fixes CVE-2025-15571: NULL pointer dereference in ucompthread()
      (closes: #1128070).
  * Remove now redundant Rules-Requires-Root value.
  * Refer online version of Free Software Foundation licence.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Feb 2026 20:09:34 +0100

lrzip (0.651-3) unstable; urgency=high

  * Backport hsize validation for empty PCOMP to prevent Denial of Service,
    fixes CVE-2023-39741 (closes: #1059293).
  * Use no for Rules-Requires-Root.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 22 Dec 2023 19:05:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12), automake, autoconf, libtool,
+Build-Depends: debhelper-compat (= 13), automake, autoconf, libtool,
  zlib1g-dev, libbz2-dev, liblzo2-dev, liblz4-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: http://ck.kolivas.org/apps/lrzip/README.md
 
 Package: lrzip
